The "List Products" API allows to retrieve a paginated list of products. Customize your results by filtering products based on name or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve product information.

http
GET https://services.leadconnectorhq.com/products/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
limitnumberNo20The maximum number of items to be included in a single page of results
offsetnumberNo0The starting index of the page, indicating the position from which the results should be retrieved.
locationIdstringYes3SwdhCu3svxI8AKsPJt6LocationId is the id of the account
searchstringNoAwesome productThe name of the product for searching.
collectionIdsstringNoFilter by product category Ids. Supports comma separated values
collectionSlugstringNoThe slug value of the collection by which the collection would be searched
expandstring[]NoName of an entity whose data has to be fetched along with product. Possible entities are tax, stripe and paypal. If not mentioned, only ID will be returned in case of taxes
productIdsstring[]NoList of product ids to be fetched.
storeIdstringNo3SwdhCu3svxI8AKsPJt6fetch and project products based on the storeId
includedInStorebooleanNoTrueSeparate products by which are included in the store and which are not
availableInStorebooleanNoTrueIf the product is included in the online store
sortOrderstringNodescThe order of sort which should be applied for the date

Responses

200 - Successful response
  • products (object[], required): An array of products

    • _id (string, required): The unique identifier for the product. Example: 655b33a82209e60b6adb87a5

    • description (string): product description Example: This is a really awesome product

    • variants (object[]): An array of variants for the product.

      • id (string, required): A unique identifier for the variant. Example: 38s63qmxfr4

      • name (string, required): The name of the variant. Example: Size

      • options (object[], required): An array of options for the variant.

        • id (string, required): The unique identifier for the option. Example: h4z7u0im2q8

        • name (string, required): The name of the option. Example: XL

    • locationId (string, required): The unique identifier for the account. Example: 3SwdhCsvxI8Au3KsPJt6

    • name (string, required): The name of the product. Example: Awesome Product

    • productType (string, required): The type of the product (e.g., PHYSICAL). Example: PHYSICAL

    • availableInStore (boolean): Indicates whether the product is available in-store. Example: True

    • createdAt (string, required): The creation timestamp of the product. Example: 2023-11-20T10:23:36.515Z

    • updatedAt (string, required): The last update timestamp of the product. Example: 2024-01-23T09:57:04.846Z

    • statementDescriptor (string): The statement descriptor for the product. Example: abcde

    • image (string): The URL for the product image. Example: https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png

    • collectionIds (string[]): An array of category Ids for the product

    • isTaxesEnabled (boolean): The field indicates whether taxes are enabled for the product or not. Example: True

    • taxes (string[]): An array of ids of Taxes attached to the Product. If the expand query includes tax, the taxes will be of type ProductTaxDto. Please refer to the ProductTaxDto for additional details.

    • automaticTaxCategoryId (string): Tax category ID for Automatic taxes calculation. Example: 65d71377c326ea78e1c47df5

    • label (object): The Product label details

    • slug (string): The slug of the product by which the product will be navigated Example: washing-machine

  • total (object[], required): list products status

    • total (number, required): Total number of products Example: 20

json
{
  "products": [
    {
      "_id": "655b33a82209e60b6adb87a5",
      "description": "This is a really awesome product",
      "variants": [
        {}
      ],
      "locationId": "3SwdhCsvxI8Au3KsPJt6",
      "name": "Awesome Product",
      "productType": "PHYSICAL",
      "availableInStore": true,
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2024-01-23T09:57:04.846Z",
      "statementDescriptor": "abcde",
      "image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
      "collectionIds": [
        "65d71377c326ea78e1c47df5",
        "65d71377c326ea78e1c47d34"
      ],
      "isTaxesEnabled": true,
      "taxes": [
        "654492a4e6bef380114de15a"
      ],
      "automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
      "slug": "washing-machine"
    }
  ],
  "total": [
    {
      "total": 20
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/products/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?